IQueryAggregator
Keywords: uk.ac.ic.doc.automed.qproc.IQueryAggregator interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.qproc
Interface IQueryAggregator

All Known Implementing Classes:
  AdvancedQueryGetter, QueryGetter

    public interface IQueryAggregator

IQueryGetter.java

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on May 24, 2006 Department of Computing, Imperial College

Method Summary
`ASG` | `getQueryResults(java.lang.String peerName, java.lang.String address, QueryDescription queryDesc)`
`ASG` | `getQueryResults(java.lang.String peerName, java.lang.String address, java.lang.String schema, java.lang.String query)`
`void` | `getSODefinition(QuerySubGoal qsg, java.lang.String peerName, java.lang.String peerAddress)` Ask a remote peer for the query definitions of a given schema object

Method Detail

### getQueryResults

    ASG getQueryResults(java.lang.String peerName,
                        java.lang.String address,
                        java.lang.String schema,
                        java.lang.String query)
                        throws UnsuccessfulReplyException,
                               CommunicationException

  Throws:
    `UnsuccessfulReplyException`
    `CommunicationException`

### getQueryResults

    ASG getQueryResults(java.lang.String peerName,
                        java.lang.String address,
                        QueryDescription queryDesc)
                        throws UnsuccessfulReplyException,
                               CommunicationException,
                               QueryResultException

  Throws:
    `UnsuccessfulReplyException`
    `CommunicationException`
    `QueryResultException`

### getSODefinition

    void getSODefinition(QuerySubGoal qsg,
                         java.lang.String peerName,
                         java.lang.String peerAddress)
                         throws CommunicationException,
                                QueryResultException

  Ask a remote peer for the query definitions of a given schema object

  Parameters:
    `so` - the schema object in question
  Throws:
    `CommunicationException`
    `QueryResultException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD